import { jsx as _jsx } from "react/jsx-runtime";
import { useLocation, useSearchParams } from 'react-router-dom';
import Details from './Details';
const DetailsComponent = (props) => {
    const { details } = props;
    const { state } = useLocation();
    const [searchParams] = useSearchParams();
    const title = searchParams.get('title') || '';
    const id = searchParams.get('id') || '';
    const { rowData } = state || {};
    const { data } = rowData ? { data: rowData } : { data: {} };
    const DetailComponent = () => (_jsx(Details, { data: data, title: title, details: details, id: id }));
    const DetailPage = DetailComponent;
    return _jsx(DetailPage, {});
};
export default DetailsComponent;
