import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Badge, Typography } from '@mui/material';
import './header-styles.scss';
const PageHeader = (props) => {
    const { title, totalRecordsCount = 0 } = props;
    return (_jsxs("div", { className: "header__titleContainer", children: [_jsx(Typography, { className: "header__title", id: "test", children: title }), _jsx(Badge, { className: "header__totalRecordsCounter", badgeContent: totalRecordsCount, color: "primary" })] }));
};
export default PageHeader;
